jQuery(function() {

    jQuery('#pwgc-balance-form').on('submit', function(e) {
        pwgc_admin_view_activity();

        e.preventDefault();
        return false;
    });
    pwgc_admin_view_activity();

    jQuery('#pwgc-setup-create-product').click(function(e) {
        var button = jQuery(this);
        button.html('<i class="fas fa-cog fa-spin"></i>');

        jQuery.post(ajaxurl, {'action': 'pw-gift-cards-create_product', 'security': pwgc.nonces.create_product }, function( result ) {
            if (result.success) {
                button.hide();
                jQuery('#pwgc-setup-create-product-success').show();
            } else {
                button.text(button.attr('data-text'));
                jQuery('#pwgc-setup-error').text('Unknown error');
            }
        }).fail(function(xhr, textStatus, errorThrown) {
            button.text(button.attr('data-text'));
            if (errorThrown) {
                jQuery('#pwgc-setup-error').text(errorThrown);
            } else {
                jQuery('#pwgc-setup-error').text('Unknown ajax error');
            }
        });

        e.preventDefault();
        return false;
    });
});

function pwgc_admin_view_activity() {
    var cardNumber = jQuery('#pwgc-balance-number');
    if (!cardNumber.val()) { return; }

    jQuery('#pwgc-results-container').css('display', 'inline-block');

    jQuery('#pwgc-balance-error').text('');
    jQuery('#pwgc-balance-number-container').hide();
    jQuery('#pwgc-balance-activity').text('');
    jQuery('#pwgc-balance-amount').html('<i class="fas fa-cog fa-spin fa-3x"></i>');
    jQuery('#pwgc-balance-expiration-date').text('');

    jQuery.post(ajaxurl, {'action': 'pw-gift-cards-view_activity', 'card_number': cardNumber.val(), 'security': pwgc.nonces.view_activity}, function( result ) {
        if (result.success) {
            jQuery('#pwgc-balance-amount').html(result.data.balance);
            jQuery('#pwgc-balance-expiration-date').html(result.data.expiration_date);
            jQuery('#pwgc-balance-activity').html(result.data.activity);
        } else {
            jQuery('#pwgc-balance-error').text(result.data.message);
            jQuery('#pwgc-balance-amount').text('');
        }
        jQuery('#pwgc-balance-number-container').show();
        cardNumber.focus();

    }).fail(function(xhr, textStatus, errorThrown) {
        if (errorThrown) {
            jQuery('#pwgc-balance-error').text(errorThrown);
        } else {
            jQuery('#pwgc-balance-error').text('Unknown Error');
        }
        jQuery('#pwgc-balance-amount').text('');
        jQuery('#pwgc-balance-number-container').show();
        cardNumber.focus();
    });
}
