jQuery(function() {
    jQuery(document.body).on('updated_wc_div', pwgc_bind_redeem_form);
    pwgc_bind_redeem_form();

    jQuery(document.body).on('updated_wc_div', pwgc_bind_remove_link);
    pwgc_bind_remove_link();

    jQuery('#pwgc-message').on('change keyup paste', function() {
        pwgc_message_characters_remaining();
    });
    pwgc_message_characters_remaining();

    jQuery('#' + pwgc.denomination_attribute_slug).on('change', function() {
        if (jQuery(this).val()) {
            jQuery('#pwgc-purchase-container').show();
        } else {
            jQuery('#pwgc-purchase-container').hide();
        }
    });

    jQuery('#pwgc-to').on('blur', function() {
        var recipients = jQuery(this).val();
        if (recipients) {
            // For clarity, ensure we do a comma followed by a space.
            jQuery(this).val(recipients.trim().split(/[ ,]+/).map(item=>item.trim()).join(', '));
        }

        pwgc_toggle_quantity();
    });

    jQuery('.variations_form').on( 'found_variation.wc-variation-form', function() {
        pwgc_toggle_quantity();
    });

    jQuery('.variations_form').on( 'reset_data', function() {
        jQuery('#pwgc-to').val('');
        jQuery('#pwgc-from').val('');
        jQuery('#pwgc-message').val('');
        pwgc_toggle_quantity();
    });
});

function pwgc_toggle_quantity() {
    var recipients = jQuery('#pwgc-to').val().split(/[ ,]+/);
    if (recipients.length > 1) {
        jQuery('#pwgc-recipient-count').text(recipients.length);
        jQuery('#pwgc-quantity-one-per-recipient').show();
        jQuery('input.qty').val('1');
        jQuery('.quantity').hide();
    } else {
        jQuery('#pwgc-quantity-one-per-recipient').hide();
        jQuery('.quantity').show();
    }
}

function pwgc_bind_remove_link() {
    jQuery('.pwgc-remove-card').on('click', function(e) {
        var cardNumber = jQuery(this).attr('data-card-number');

        jQuery.post(pwgc.ajaxurl, {'action': 'pw-gift-cards-remove', 'card_number': cardNumber, 'security': pwgc.nonces.remove_card}, function( result ) {
            window.location = window.location.pathname;
        }).fail(function(xhr, textStatus, errorThrown) {
            if (errorThrown) {
                alert(errorThrown);
            } else {
                alert('Unknown Error');
            }
            window.location = window.location.pathname;
        });

        e.preventDefault();
        return false;
    });
}

function pwgc_bind_redeem_form() {
    jQuery('#pwgc-redeem-gift-card-form').off('submit.pimwick').on('submit.pimwick', function(e) {
        var errorContainer = jQuery('#pwgc-redeem-error');
        var redeemButton = jQuery('#pwgc-redeem-button');
        var cardNumber = jQuery('#pwgc-redeem-gift-card-number');

        errorContainer.text('');
        redeemButton.attr('data-apply-text', redeemButton.attr('value')).attr('value', redeemButton.attr('data-wait-text')).prop('disabled', true);

        jQuery.post(pwgc.ajaxurl, {'action': 'pw-gift-cards-redeem', 'card_number': cardNumber.val(), 'security': pwgc.nonces.apply_gift_card}, function( result ) {
            if (result.success) {
                // We could hook into the cart's ajax calls, but for now we'll just reload.
                window.location = window.location.pathname;
            } else {
                errorContainer.text(result.data.message);
                redeemButton.attr('value', redeemButton.attr('data-apply-text')).prop('disabled', false);
                cardNumber.focus();
            }
        }).fail(function(xhr, textStatus, errorThrown) {
            if (errorThrown) {
                errorContainer.text(errorThrown);
            } else {
                errorContainer.text('Unknown Error');
            }
            redeemButton.attr('value', redeemButton.attr('data-apply-text')).prop('disabled', false);
            cardNumber.focus();
        });

        e.preventDefault();
        return false;
    });
}

function pwgc_message_characters_remaining() {
    var messageElement = jQuery('#pwgc-message').val();
    if (messageElement) {
        var charsRemaining = pwgc.max_message_characters - messageElement.length;
        jQuery('#pwgc-message-characters-remaining').text(charsRemaining);
    }
}
