<?php

/*
Copyright (C) 2016-2017 Pimwick, LLC

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

defined( 'ABSPATH' ) or exit;

?>
<style>
    .pwgc-cart-subtitle {
        line-height: 1.4;
        font-size: 80%;
        font-weight: 300;
    }
</style>
<?php

$session_data = (array) WC()->session->get( PWGC_SESSION_KEY );
if ( isset( $session_data['gift_cards'] ) ) {

    foreach ( $session_data['gift_cards'] as $card_number => $amount ) {

        $pw_gift_card = new PW_Gift_Card( $card_number );
        if ( $pw_gift_card->get_id() ) {
            $balance = wc_price( $pw_gift_card->get_balance() - $amount );
            ?>
            <tr class="pwgc-total">
                <th>
                    <?php _e( 'Gift Card', 'pimwick' ); ?>
                    <div class="pwgc-cart-subtitle">
                        <?php echo $pw_gift_card->get_number(); ?><br />
                        <?php echo sprintf( __( 'Remaining balance is %s', 'pimwick' ), $balance ); ?>
                    </div>
                </th>
                <td data-title="<?php esc_attr_e( 'Gift Card Total', 'pimwick' ); ?>">
                    <?php echo wc_price( $amount * -1 ); ?>
                    <a href="#" class="pwgc-remove-card" data-card-number="<?php esc_attr_e( $card_number ); ?>"><?php _e( '[Remove]', 'woocommerce' ); ?></a>
                </td>
            </tr>
            <?php
        }
    }
}
